Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Stumped by Tomcat startup error
Stumped by Tomcat startup error [message #169262] Fri, 12 May 2006 14:40 Go to next message
Chris Gage is currently offline Chris Gage
Messages: 73
Registered: July 2009
Member
I have a WTP setup that has been working well for most of this year. I
am using 3.1 and the update site code.

I decided to take a look at facelets, and downloaded it and put the jars
(for Facelets and Sun JSF) in a user library in my WTP project. I am
fairly familiar with JSF from a previous project.

I get a fairly fundamental error when I try to start up my Tomcat 5.5.16
server with a project that has the JSF jars defined:

org.apache.catalina.core.StandardContext listenerStart
SEVERE: Error configuring application listener of class
com.sun.faces.config.ConfigureListener
java.lang.UnsupportedClassVersionError:
com/sun/faces/config/ConfigureListener (Unsupported major.minor version
49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
....

I have seen this error before and I know it's a Java compile level
problem. Trouble is I can't see how to resolve it. I got it when I
only had 1.4.2 installed, so I installed 1.5.6 and redefined my runtime.
but still get the problem. I'm fairly sure that neither Facelets nor
JSF are involved in this problem, even though it's a JSF class that is
failing. I'm missing something simple...

---...---

Chris
Re: Stumped by Tomcat startup error [message #169309 is a reply to message #169262] Fri, 12 May 2006 18:12 Go to previous message
Larry Isaacs is currently offline Larry Isaacs
Messages: 1310
Registered: July 2009
Senior Member
Assuming you haven't already solved this, I believe the error implies
that in spite of your changes, Tomcat is still running on 1.4.2. I
can't tell what aspect of "redefined" may not have been sufficient or
whether a WTP bug might be involved.

Cheers,
Larry

Chris Gage wrote:
> I have a WTP setup that has been working well for most of this year. I
> am using 3.1 and the update site code.
>
> I decided to take a look at facelets, and downloaded it and put the jars
> (for Facelets and Sun JSF) in a user library in my WTP project. I am
> fairly familiar with JSF from a previous project.
>
> I get a fairly fundamental error when I try to start up my Tomcat 5.5.16
> server with a project that has the JSF jars defined:
>
> org.apache.catalina.core.StandardContext listenerStart
> SEVERE: Error configuring application listener of class
> com.sun.faces.config.ConfigureListener
> java.lang.UnsupportedClassVersionError:
> com/sun/faces/config/ConfigureListener (Unsupported major.minor version
> 49.0)
> at java.lang.ClassLoader.defineClass0(Native Method)
> ...
>
> I have seen this error before and I know it's a Java compile level
> problem. Trouble is I can't see how to resolve it. I got it when I
> only had 1.4.2 installed, so I installed 1.5.6 and redefined my runtime.
> but still get the problem. I'm fairly sure that neither Facelets nor
> JSF are involved in this problem, even though it's a JSF class that is
> failing. I'm missing something simple...
>
> ---...---
>
> Chris
Previous Topic:Building and Running a Web Application
Next Topic:starting tomcat with admin webapp?
Goto Forum:
  


Current Time: Sat Oct 25 16:53:14 GMT 2014

Powered by FUDForum. Page generated in 0.01755 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software